/* Melon's Gallery Maker! 0.0.2+ */

/* Font Face */
@font-face {
  font-family: "h2";
  src: url("../font/h2.ttf") format("truetype");
}
body {
  background-color: black;
  background-image: url("../img/assets/bg.gif");
  background-repeat: repeat;
  background-position: center;
  background-attachment: fixed;
  color: white;
  font-family: "h2";
  font-size: 12pt;
  text-shadow: 2px 2px black;
  list-style: none;
}

/* Links */
a,
a:visited,
a:active {
  color: inherit;

}

a:hover {
  color: #FF0048;
  text-decoration: none;
}

header,
body > section,
footer {
    padding: 5px;
}

nav {
    margin: 10px;
    clear: both;
}

footer {
    clear: both;
    font-size: 0.7em;
    padding-top: 30px;
}

/* Gallery Pages */

#photos {
    display: flex;
    align-items: flex-start;
    flex-wrap: wrap;
}

#photos figure {
    max-width: min-content;
	border: 2px solid #FF0048;
}

#photos img {
    border: 0px ridge #c3c3c3;
    image-rendering: pixelated;
}

#photos img:hover {
    border-color: #ffda00;
}

#photos span {
    text-align: center;
    display: block;
}

#photos figcaption {
    padding: 10px 0px;
}

.page-links {
    text-align: center;
}

.page-links ul {
    padding: 0px 5px;
    margin: 10px 0px;
    display: inline-block;
}
.page-links li {
    list-style: none;
    display: inline;
    margin: 0px 3px;
}

/* Mobile Styling */

@media (max-width: 800px) {
    body {
        padding: 10px;
    }

    #photos figure {
        width: 95%;
        max-width: unset;
    }

    #photos img {
        width: 100%;
    }
}

/* Styling for JavaScript viewer (if enabled) */

#js-viewer {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.612);
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
}

#js-viewer img {
    max-width: 95%;
    max-height: 80%;
    height: auto;
    width: auto;
    border: 3px ridge #c3c3c3;
}

#js-viewer span {
    margin-top: 10px;
}

#js-viewer span button {
    border-radius: 0px;
    border: 2px outset #cecece;
    background-color: #e2e2e2;
    cursor: pointer;
}

#js-viewer span button:hover {
    border: 2px inset #cecece;
    background-color: #b8b8b8;
}

/* Div */
div {
  width: 300px;
  padding: 20px;
  font-smooth: never;
}
/* Side Navigation */
.sidenav {
  text-align: left;
  width: 160px;
  height: 100%;
  padding: 16px;
  padding-top: 93px;
  top: 0;
  left: 0;
  overflow-x: hidden;
  font-size: 100%;
  display: inline-block;
  position: fixed;
  background-color: black;
  border: 2px solid #FF0048;
}

/* sidebox */
.sidebox {
  width: 150px;
  padding: 0px;
  font-smooth: never;
  overflow-x: hidden;
  left: 0;
  position: fixed;
  top: 0;
}

/* Iframe */

iframe {
  height: 80vh;
  width: 150px;
  resize: both;
  overflow-x: hidden;
  border: none;
}

/* Top and bottom bars */
.decorative-bar {
  object-fit: fixed;
  width: 100vw;        
  display: block;
  position: fixed;
  right: 0;
  z-index: 1;
  pointer-events:none;
}

.top-bar {
  top: 0;
  height: 70px;      
}

.bottom-bar {
  bottom: 0;
  height: 7%;  
}

/* Centerbox */
.centerbox {
  text-align: center;
  background-color: #090104;
  background-image: linear-gradient(180deg, #090104, #ff0048 1000%);
  width: 450px;
  border: 2px solid #FF0048;
  padding-top: 70px;
  padding-bottom: 2%;
  margin: 0;
  position: absolute;
  top: -1%;
  left: 220px;
  z-index: -1;
  border-radius: 15px;
}
ul {
  padding-right: 10%;
}

/* Horizontal Ruler */
hr {
    color: #FF0048;
}
/* Animation */
.rotateslower {
  animation: rotation 20s infinite linear;
}

/* Keyframes */
@keyframes rotation {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(359deg);
  }
}
/* Spinner */
.spinners {
  opacity: 1;
  position: fixed;
  z-index: -2;
  top: 80%;
  left: 90%;
  transform: translate(-50%, -50%);
  mix-blend-mode: overlay;
}
